package config

import (
	"time"

	"github.com/zeromicro/go-zero/core/stores/redis"

	"github.com/zeromicro/go-zero/rest"
	"github.com/zeromicro/go-zero/zrpc"
)

type Config struct {
	rest.RestConf
	MemberRPC       zrpc.RpcClientConf
	PermissionRPC   zrpc.RpcClientConf
	NotificationRPC zrpc.RpcClientConf
	// PyroScope 監控
	PyroScope struct {
		Enable bool
		URL    string
		Token  string
	}
	Token struct {
		Expired        time.Duration
		RefreshExpired time.Duration
	}
	// Redis Cluster
	RedisCfg redis.RedisConf
	Member   struct {
		ForgetTimeOutInSec int64
	}
	MailSender string
}
