// Code generated by goctl. DO NOT EDIT.
// goctl 1.8.1

package handler

import (
	"net/http"
	"time"

	member "biz-member-gateway/internal/handler/member"
	"biz-member-gateway/internal/svc"

	"github.com/zeromicro/go-zero/rest"
)

func RegisterHandlers(server *rest.Server, serverCtx *svc.ServiceContext) {
	server.AddRoutes(
		[]rest.Route{
			{
				// 創建新會員
				Method:  http.MethodPost,
				Path:    "/member",
				Handler: member.AccountCreateHandler(serverCtx),
			},
			{
				// 發送忘記密碼驗證
				Method:  http.MethodPost,
				Path:    "/member/forget-password-code",
				Handler: member.ForgetPasswordCodeHandler(serverCtx),
			},
			{
				// 登入
				Method:  http.MethodPost,
				Path:    "/member/login",
				Handler: member.LoginHandler(serverCtx),
			},
			{
				// 預先驗證驗證碼
				Method:  http.MethodPut,
				Path:    "/member/pre-verify",
				Handler: member.PreVerifyUpdatePasswordCodeHandler(serverCtx),
			},
			{
				// 更新 Access Token
				Method:  http.MethodPut,
				Path:    "/member/refresh_access_token",
				Handler: member.RefreshAccessTokenHandler(serverCtx),
			},
			{
				// 更新密碼(要發送驗證碼才可以的流程)
				Method:  http.MethodPut,
				Path:    "/member/update-password",
				Handler: member.UpdatePasswordHandler(serverCtx),
			},
		},
		rest.WithPrefix("/api/v1"),
		rest.WithTimeout(10000*time.Millisecond),
	)

	server.AddRoutes(
		rest.WithMiddlewares(
			[]rest.Middleware{serverCtx.AuthMiddleware},
			[]rest.Route{
				{
					// 確認邀請 - 綁定會員
					Method:  http.MethodPost,
					Path:    "/member/check-verify-code",
					Handler: member.CheckVerifyCodeHandler(serverCtx),
				},
				{
					// 取得會員資訊
					Method:  http.MethodGet,
					Path:    "/member/info",
					Handler: member.InfoHandler(serverCtx),
				},
				{
					// 更新會員詳細資訊
					Method:  http.MethodPut,
					Path:    "/member/info",
					Handler: member.ModifyMemberInfoHandler(serverCtx),
				},
				{
					// 會員登出
					Method:  http.MethodGet,
					Path:    "/member/logout",
					Handler: member.LogoutHandler(serverCtx),
				},
				{
					// 修改密碼
					Method:  http.MethodPut,
					Path:    "/member/modify-passwd",
					Handler: member.ModifyPasswdHandler(serverCtx),
				},
				{
					// 發送邀請 - 綁定會員
					Method:  http.MethodPost,
					Path:    "/member/verify",
					Handler: member.SendVerifyCodeHandler(serverCtx),
				},
			}...,
		),
		rest.WithPrefix("/api/v1"),
		rest.WithTimeout(10000*time.Millisecond),
	)
}
