package member

import (
	"context"

	permissionProto "code.30cm.net/digimon/proto-all/pkg/permission"

	"biz-member-gateway/internal/svc"
	"biz-member-gateway/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type LogoutLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

// NewLogoutLogic 會員登出
func NewLogoutLogic(ctx context.Context, svcCtx *svc.ServiceContext) *LogoutLogic {
	return &LogoutLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *LogoutLogic) Logout(req *types.VerifyHeader) (*types.RespOK, error) {
	_, err := l.svcCtx.TokenRPC.CancelToken(l.ctx, &permissionProto.CancelTokenReq{
		Token: req.Token,
	})
	if err != nil {
		return nil, err
	}

	return &types.RespOK{}, nil
}
