package utils

import "time"

func UnixToRfc3339(t int64) string {
	res := time.Unix(0, t).UTC()

	return res.Format(time.RFC3339)
}

func Rfc3339ToUnix(rfc string) (int64, error) {
	t, err := time.Parse(time.RFC3339, rfc)
	if err != nil {
		return 0, err
	}
	return t.UnixNano(), nil
}
